.SUFFIXES: 

ifndef TARGET_DIR
 ifeq (1,$(DEBUG))
  TARGET_DIR = $(CONFIG)-$(BOARD)-debug
 else
  TARGET_DIR = $(CONFIG)-$(BOARD)
 endif
endif
OBJDIR := _$(TARGET_DIR)

$(info "Moving to target dir $(OBJDIR)")


MAKETARGET = $(MAKE) --no-print-directory -C $@ -f $(CURDIR)/Makefile \
             OBJ_PATH=$(OBJDIR) SRC_PATH=$(CURDIR) $(MAKECMDGOALS) APP_PATH=$(APP_PATH)/..

.PHONY: $(OBJDIR) 
$(OBJDIR): 
	+@[ -d $@ ] || mkdir -p $@ 
	+@$(MAKETARGET) 

Makefile : ; 
%.mk :: ; 

% :: $(OBJDIR) ; : 

.PHONY: clean 
clean: 
	rm -rf $(OBJDIR)
