#ifndef __NETIF_WLANIF_H__
#define __NETIF_WLANIF_H__

#include <lwip/netif.h>
#include <lwip/err.h>

err_t wlif_init(struct netif *netif);
void wlif_reinit(struct netif *netif);
void wlif_poll(struct netif *netif);
int wlif_is_rx_pending(struct netif *netif);

/* for use with NO_SYS == 0 */
void wlif_unlock(void *arg);
void wlif_lock(void *arg);
extern void wlif_yield(void);

#define WLIF_FLAG_POLL (1 << 0)
extern const int wlif_flags;


#endif
